$ErrorActionPreference = 'Stop';

$packageName= 'invantive-authenticator'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Authenticator-17.32.170.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Authenticator-17.32.170.msi'
  softwareName = 'Invantive Authenticator'
  checksum = 'C436CCEEFEAA3B41575A381FE1C22067C93E8368C549A72F1DFE740261C5D6F0'
  checksumType = 'sha256'
  checksum64 = 'C436CCEEFEAA3B41575A381FE1C22067C93E8368C549A72F1DFE740261C5D6F0'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-authenticator-17.32.170-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
